// 003 u_test_environment
// 05 may 2005

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_test_environment;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    exit_: TButton;
    clear_: TButton;
    display_enviromnent_: TButton;
    read_environment_key_: TButton;
    build_environment_block_: TButton;
    Edit1: TEdit;
    Memo2: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure exit_Click(Sender: TObject);
    procedure display_enviromnent_Click(Sender: TObject);
    procedure read_environment_key_Click(Sender: TObject);
    procedure build_environment_block_Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

  implementation
    uses u_c_log, u_c_display, u_display_hex_2
        , u_environment
        ;

    {$R *.DFM}

    // -- events

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
        with Memo2.Lines Do
        begin
          Clear;
          Add('aaa=bbb');
          Add('ccc=ddd');
          Add('eee=fff');
        end;
      end; // FormCreate

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    procedure TForm1.display_enviromnent_Click(Sender: TObject);
      begin
        display(f_get_all_environment_string);
      end; // display_enviromnent_Click

    procedure TForm1.read_environment_key_Click(Sender: TObject);
      begin
        display(f_get_environment_value(pChar(edit1.Text)));
      end; // read_environment_key_Click

    procedure TForm1.build_environment_block_Click(Sender: TObject);
      begin
        with c_environment.create_environment(Memo2.Lines) do
        begin
          display(f_display_hex(@ m_oa_environment[0], m_size,
              8, k_hex_default));
          Free;
        end; // with c_environment
      end;  // build_environment_block_Click

  end.

